Index: trunk/Monitoring/libIGCM_mock/libIGCM_mock.sh
===================================================================
--- trunk/Monitoring/libIGCM_mock/libIGCM_mock.sh	(revision 871)
+++ trunk/Monitoring/libIGCM_mock/libIGCM_mock.sh	(revision 875)
@@ -49,9 +49,10 @@
 
 OPTIONS:
+   -c              ask for confirmation
    -h              this help
    -f              set stack file
    -l              print scenarios list 
    -m              set MODE
-                   MODE may be "scenario", "stackfile" or "purge"
+                   MODE may be "scenario", "stackfile" or "cleanup"
                    default mode is "scenario"
    -s              set scenario file
@@ -84,4 +85,9 @@
 }
 
+send_cleanup_msg()
+{
+	$send_msg_cmd -h localhost -p 5672 -b "$( echo {\"code\":\"8888\"} | base64 -w 0 )"
+}
+
 # check
 
@@ -130,5 +136,5 @@
 	# check
 	if [ ! -f "$g__scenariofile" ]; then
-		msg "LIBIGCM-MOCK-ERR003" "scenario file not found"
+		msg "LIBIGCM-MOCK-ERR003" "scenario file not found ($g__scenariofile)"
 		exit 1
 	fi
@@ -222,5 +228,5 @@
 
 		if [ "$g__confirm" = "1" ]; then
-			read -p "Press enter for next message" bla
+			read -p "<<< $l__JSON_msg_buf >>>> sent. Press enter for next message" bla
 		else
 			sleep $g__delay
@@ -234,7 +240,7 @@
 	done 3<$g__scenariofile
 
-elif [ "$g__mode" = "purge" ]; then
-
-	:
+elif [ "$g__mode" = "cleanup" ]; then
+
+	send_cleanup_msg
 
 elif [ "$g__mode" = "stackfile" ]; then
Index: trunk/Monitoring/libIGCM_mock/scenario/start_simu__fatal_error__stop_simu
===================================================================
--- trunk/Monitoring/libIGCM_mock/scenario/start_simu__fatal_error__stop_simu	(revision 871)
+++ trunk/Monitoring/libIGCM_mock/scenario/start_simu__fatal_error__stop_simu	(revision 875)
@@ -1,6 +1,6 @@
-simuid=simu-001 jobid=job-001 code=0000 file=config.card.base64
-simuid=simu-001 jobid=job-001 code=1000
-simuid=simu-001 jobid=job-001 code=2000
-simuid=simu-001 jobid=job-001 code=3000
-simuid=simu-001 jobid=job-001 code=1100
-simuid=simu-001 jobid=job-001 code=0100
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0000 file=config.card.base64
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1000
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=2000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=9000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=9999
+
Index: trunk/Monitoring/libIGCM_mock/scenario/start_simu__nonfatal_errors__stop_simu
===================================================================
--- trunk/Monitoring/libIGCM_mock/scenario/start_simu__nonfatal_errors__stop_simu	(revision 871)
+++ trunk/Monitoring/libIGCM_mock/scenario/start_simu__nonfatal_errors__stop_simu	(revision 875)
@@ -1,6 +1,6 @@
-simuid=simu-001 jobid=job-001 code=0000 file=config.card.base64
-simuid=simu-001 jobid=job-001 code=1000
-simuid=simu-001 jobid=job-001 code=2000
-simuid=simu-001 jobid=job-001 code=3000
-simuid=simu-001 jobid=job-001 code=1100
-simuid=simu-001 jobid=job-001 code=0100
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0000 file=config.card.base64
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1000
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=2000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=3000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1100 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0100 
Index: trunk/Monitoring/libIGCM_mock/scenario/start_simu__simu_killed
===================================================================
--- trunk/Monitoring/libIGCM_mock/scenario/start_simu__simu_killed	(revision 871)
+++ trunk/Monitoring/libIGCM_mock/scenario/start_simu__simu_killed	(revision 875)
@@ -1,6 +1,4 @@
-simuid=simu-001 jobid=job-001 code=0000 file=config.card.base64
-simuid=simu-001 jobid=job-001 code=1000
-simuid=simu-001 jobid=job-001 code=2000
-simuid=simu-001 jobid=job-001 code=3000
-simuid=simu-001 jobid=job-001 code=1100
-simuid=simu-001 jobid=job-001 code=0100
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0000 file=config.card.base64
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1000
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=2000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=3000 
Index: trunk/Monitoring/libIGCM_mock/scenario/start_simu__simu_segfault
===================================================================
--- trunk/Monitoring/libIGCM_mock/scenario/start_simu__simu_segfault	(revision 871)
+++ trunk/Monitoring/libIGCM_mock/scenario/start_simu__simu_segfault	(revision 875)
@@ -1,6 +1,6 @@
-simuid=simu-001 jobid=job-001 code=0000 file=config.card.base64
-simuid=simu-001 jobid=job-001 code=1000
-simuid=simu-001 jobid=job-001 code=2000
-simuid=simu-001 jobid=job-001 code=3000
-simuid=simu-001 jobid=job-001 code=1100
-simuid=simu-001 jobid=job-001 code=0100
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0000 file=config.card.base64
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1000
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=2000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=9000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=9999
+
Index: trunk/Monitoring/libIGCM_mock/scenario/start_simu__start_second_simu_with_same_name
===================================================================
--- trunk/Monitoring/libIGCM_mock/scenario/start_simu__start_second_simu_with_same_name	(revision 871)
+++ trunk/Monitoring/libIGCM_mock/scenario/start_simu__start_second_simu_with_same_name	(revision 875)
@@ -1,6 +1,12 @@
-simuid=simu-001 jobid=job-001 code=0000 file=config.card.base64
-simuid=simu-001 jobid=job-001 code=1000
-simuid=simu-001 jobid=job-001 code=2000
-simuid=simu-001 jobid=job-001 code=3000
-simuid=simu-001 jobid=job-001 code=1100
-simuid=simu-001 jobid=job-001 code=0100
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0000 file=config.card.base64
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1000
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=2000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=3000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1100 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0100 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0000 file=config.card.base64
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1000
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=2000
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=3000
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1100
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0100
Index: trunk/Monitoring/libIGCM_mock/scenario/start_simu__stop_simu
===================================================================
--- trunk/Monitoring/libIGCM_mock/scenario/start_simu__stop_simu	(revision 871)
+++ trunk/Monitoring/libIGCM_mock/scenario/start_simu__stop_simu	(revision 875)
@@ -1,6 +1,6 @@
-simuid=simu-001 jobid=job-001 code=0000 file=config.card.base64
-simuid=simu-001 jobid=job-001 code=1000
-simuid=simu-001 jobid=job-001 code=2000
-simuid=simu-001 jobid=job-001 code=3000
-simuid=simu-001 jobid=job-001 code=1100
-simuid=simu-001 jobid=job-001 code=0100
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0000 file=config.card.base64
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1000
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=2000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=3000 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=1100 
+simuid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE jobid=BIGBRO.clim.TEST.LMDZOR.p86denv.TGCC.CURIE.1 code=0100 