Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 879)
+++ /trunk/libIGCM/AA_additionnal	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 879)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 879)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 879)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 879)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 879)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 879)
+++ /trunk/libIGCM/AA_create_se	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 879)
+++ /trunk/libIGCM/AA_create_ts	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 80000          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 879)
+++ /trunk/libIGCM/AA_monitoring	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 879)
+++ /trunk/libIGCM/AA_pack_debug	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 3600          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 879)
+++ /trunk/libIGCM/AA_pack_output	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 879)
+++ /trunk/libIGCM/AA_pack_restart	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 7200          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 879)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 879)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 880)
@@ -5,5 +5,5 @@
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
-#-Q- curie #MSUB -T 86400          # Limite de temps elapsed du job
+#-Q- curie #MSUB -T 36000          # Limite de temps elapsed du job
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 879)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 880)
@@ -69,4 +69,6 @@
 # $hostname of the MASTER job
 typeset MASTER=curie
+# add default project on curie
+typeset DEFAULT_PROJECT=::default_project::
 
 #D-
@@ -711,5 +713,5 @@
   fi
   typeset status
-  MY_PROJECT=$(echo ${BRIDGE_MSUB_PROJECT} | cut -d@ -f1 )
+  MY_PROJECT=$(echo ${BRIDGE_MSUB_PROJECT:=${DEFAULT_PROJECT}} | cut -d@ -f1 )
   /usr/bin/ccc_msub -Q normal -A ${MY_PROJECT} -o ${POST_DIR}/${Script_Post_Output}.out -e ${POST_DIR}/${Script_Post_Output}.out ${libIGCM_POST}/$1.job
   status=$?