Index: /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 901)
+++ /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 902)
@@ -25,5 +25,5 @@
   for comp in ${config_ListOfComponents[*]} ; do
 
-    # Define component 
+    # Define component
     IGCM_card_DefineArrayFromOption ${SUBMIT_DIR}/config.card ListOfComponents ${comp}
     eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
@@ -50,5 +50,5 @@
     eval config_comp=\${config_${comp}[*]} > /dev/null 2>&1
     for option in ${config_comp[*]} ; do
-	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card ${comp} ${option}
+        IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card ${comp} ${option}
     done
     IGCM_debug_Print 3 " Found in section config_${comp} :  ${config_comp[*]} "
@@ -265,9 +265,9 @@
   echo
 
-  # Only the first time step need InitialStateFiles 
+  # Only the first time step need InitialStateFiles
   # otherwise it's BoundaryConditions
   if ( ${FirstInitialize} ) ; then
-    typeset comp compname comptagname card ListFilesName FileName0 NbFiles i i_ 
-    typeset file_in_ file_in file_out_ file_out do_init 
+    typeset comp compname comptagname card ListFilesName FileName0 NbFiles i i_
+    typeset file_in_ file_in file_out_ file_out do_init
     for comp in ${config_ListOfComponents[*]} ; do
       # Initialize
@@ -288,5 +288,5 @@
 
       if [ "${do_init}" = "y" ] ; then
-        # Define component 
+        # Define component
         eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
         eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
@@ -329,5 +329,5 @@
 #=======================================================================
 # Definition of Smooth modulo function
-# usage : 
+# usage :
 # IGCM_SmoothModulo StringModulo value
 #
@@ -335,5 +335,5 @@
 # [min]:[modulo:][max]
 # where :
-# [] value are optionnals; 
+# [] value are optionnals;
 # empty min equal 1
 # empty max equal infinity
@@ -343,5 +343,5 @@
 # value : the value to test with the definition
 #
-# return : true(1)/false(0) 
+# return : true(1)/false(0)
 function IGCM_SmoothModulo
 {
@@ -356,6 +356,6 @@
   arr[2]=${defVector[2]}
 
-  # Test limits : 
-  # ${defVector[0]} <= ${2} <= ${defVector[2]} 
+  # Test limits :
+  # ${defVector[0]} <= ${2} <= ${defVector[2]}
   #          or ${defVector[2]} == -1
   if ( [ ${2} -ge ${defVector[0]} ] && ( [ ${2} -le ${defVector[2]} ] || [ ${defVector[2]} -lt 0 ] ) ) ; then
@@ -460,6 +460,6 @@
   echo
 
-  typeset comp compname comptagname card ListFilesName FileName0 NbFiles i i_ 
-  typeset file_in_ file_in file_out_ file_out 
+  typeset comp compname comptagname card ListFilesName FileName0 NbFiles i i_
+  typeset file_in_ file_in file_out_ file_out
 
   if [ ${Period} = 1 ]; then
@@ -574,5 +574,5 @@
   typeset comp compname comptagname card ListFilesName FileName0 NbFiles i i_ file_in file_out
   for comp in ${config_ListOfComponents[*]} ; do
-    # Define component 
+    # Define component
     eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
     eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
@@ -596,7 +596,7 @@
         (( i_ = i+1 ))
         eval file_out_=\${${ListFilesName}[$i_]} > /dev/null 2>&1
-        eval file_out=${file_out_} 
-
-        IGCM_sys_Cp ${file_in} ${file_out} 
+        eval file_out=${file_out_}
+
+        IGCM_sys_Cp ${file_in} ${file_out}
         IGCM_comp_PrepareDeletedFiles ${file_in} ${file_out}
 
@@ -621,5 +621,5 @@
   typeset Date_tmp Date_r Path_r do_start CompOldName Path_OUT Path_BUF
   typeset Buffered Archived Tared PotentialTarFile IsMatching TarFileFound
-  typeset comp compname comptagname card ListFilesName FileName0 NbFiles i i_ 
+  typeset comp compname comptagname card ListFilesName FileName0 NbFiles i i_
   typeset file_in file_out file_in_ file_out_ file_in_Name
   typeset -Z4 j4
@@ -629,5 +629,5 @@
 
   for comp in ${config_ListOfComponents[*]} ; do
-    # Define component 
+    # Define component
     eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
     eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
@@ -723,5 +723,5 @@
               IGCM_debug_Print 3 "No restart file in the buffer nor in the archive directory"
               IGCM_debug_Print 3 "${Path_OUT}*.${extension_in} do not exist"
-              IGCM_debug_Print 3 "Tared restart case then"
+              IGCM_debug_Print 3 "Restart files will now be searched for in : ${RestartPath}/${RestartJobName}/RESTART"
               Buffered=false
               Archived=false
@@ -743,6 +743,7 @@
                   done
                 else
-                  IGCM_debug_Print 3 "${RestartPath}/${RestartJobName}/RESTART do not currently exist"
-                  IGCM_debug_Print 3 "It must exist and contain tared restart files"
+                  IGCM_debug_Print 3 "Restart files were not found!"
+                  IGCM_debug_Print 3 "Restart files have been searched for in buffer and archive directory."
+                  IGCM_debug_Print 3 "They have been searched for in packed and unpacked format."
                   IGCM_debug_Exit "Please double check restart settings in config.card"
                   IGCM_debug_Verif_Exit
@@ -837,5 +838,5 @@
           else
             IGCM_debug_Print 3 "No restart file in the buffer nor in the archive directory"
-            IGCM_debug_Print 3 "Tared restart case then"
+            IGCM_debug_Print 3 "Restart files will now be searched for in : ${R_SAVE}/RESTART"
             Buffered=false
             Archived=false
@@ -910,8 +911,8 @@
   echo
 
-  typeset ExeNameIn ExeNameOut 
+  typeset ExeNameIn ExeNameOut
   typeset comp compname comptagname
   for comp in ${config_ListOfComponents[*]} ; do
-    # Define component 
+    # Define component
     eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
     eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
@@ -941,8 +942,8 @@
   echo
 
-  typeset ExeNameIn ExeNameOut 
+  typeset ExeNameIn ExeNameOut
   typeset comp compname comptagname
   for comp in ${config_ListOfComponents[*]} ; do
-    # Define component 
+    # Define component
     eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
     eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
@@ -1005,5 +1006,5 @@
 
   for comp in ${config_ListOfComponents[*]} ; do
-    # Define component 
+    # Define component
     eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
     eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
@@ -1128,5 +1129,5 @@
         generic_restart_file_name_outin=$( basename ${file_outin} .nc )
 
-        nb_restart_file=$( ls ${generic_restart_file_name_in}_????.nc 2>/dev/null | wc -l ) 
+        nb_restart_file=$( ls ${generic_restart_file_name_in}_????.nc 2>/dev/null | wc -l )
         if [ ${nb_restart_file} -gt 1 ] ; then
           j=0                                     # BASH LINE NOT NEEDED