Index: /trunk/libIGCM/AA_RunChecker
===================================================================
--- /trunk/libIGCM/AA_RunChecker	(revision 905)
+++ /trunk/libIGCM/AA_RunChecker	(revision 906)
@@ -172,5 +172,5 @@
     echo "|===========================================================================================================|"
     printf "| JobName = ${ColExp}%-${#JobName}s${ColNon}" ${JobName}
-    printf "%-${len}s" ${Dum} 
+    printf "%-${len}s" ${Dum}
     printf "run.card : ${ColExp}%-18s${ColNon}|\n" "${LastWrite}"
     echo "|-------------------------|-------------|-------------------------|-------------|-----:----------:----------|"
@@ -180,5 +180,5 @@
 
     printf "| %-10s - %-10s | " \
-           $DateBegin $DateEnd 
+           $DateBegin $DateEnd
 
     case $PeriodState in
@@ -226,5 +226,5 @@
     #Â Print rebuild and pack jobs
     #Â ---------------------------
-    for JobType in ${JobType_list[*]} ; do 
+    for JobType in ${JobType_list[*]} ; do
       eval Date=\${${JobType}_Date[${ind}]}
       eval Status=\${${JobType}_Status[${ind}]}
@@ -506,5 +506,5 @@
     set -A JobType_list "${RebuildJob}" "pack_output" "pack_restart" "pack_debug"
 
-    for JobType in ${JobType_list[*]} ; do 
+    for JobType in ${JobType_list[*]} ; do
       typeset    name1="${JobType}_String"
       typeset    name2="${JobType}_Field"
@@ -532,5 +532,5 @@
     # ----------
     NbLines=0
-    for JobType in ${JobType_list[*]} ; do 
+    for JobType in ${JobType_list[*]} ; do
       eval String=\${${JobType}_String}
       eval Field=\${${JobType}_Field}
@@ -643,3 +643,2 @@
 
 fi
-
Index: /trunk/libIGCM/AA_SE_Checker
===================================================================
--- /trunk/libIGCM/AA_SE_Checker	(revision 905)
+++ /trunk/libIGCM/AA_SE_Checker	(revision 906)
@@ -117,5 +117,5 @@
     # Debug Print
     IGCM_debug_Print 1 ${comp}
-    # Define component 
+    # Define component
     IGCM_card_DefineArrayFromOption ${CARD_DIR}/config.card ListOfComponents ${comp}
     eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
@@ -175,5 +175,5 @@
           #
           (( countTotal = countTotal + 1 ))
-          IGCM_sys_TestFileArchive ${DIRECTORY}/${TestedFile} >/dev/null 2>&1 
+          IGCM_sys_TestFileArchive ${DIRECTORY}/${TestedFile} >/dev/null 2>&1
           if [ ! $? = 0 ] ; then
             eval set +A LISTE_FILE_${comp}_${an_deb} \$\{LISTE_FILE_${comp}_${an_deb}[*]} ${TestedFile}
@@ -186,5 +186,5 @@
         (( i=i+3 )) # to explore file list
       done            # until [ $i -eq $NbFiles ]
-    fi                  # [ X${FileName0} != X${NULL_STR} ] 
+    fi                  # [ X${FileName0} != X${NULL_STR} ]
 
     [ $localcountBad = 0 ] || IGCM_debug_Print 1 "$localcountBad file(s) missing for ${comp} : " $( eval echo \${LISTE_FILE_${comp}_${an_deb}[*]} )
Index: /trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- /trunk/libIGCM/AA_SaveSourceModifications	(revision 905)
+++ /trunk/libIGCM/AA_SaveSourceModifications	(revision 906)
@@ -14,5 +14,5 @@
 #-Q- titane ## TITANE   CEA ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r SaveSource     # Nom du job                
+#-Q- titane #MSUB -r SaveSource     # Nom du job
 #-Q- titane #MSUB -n 1              # Reservation du processus
 #-Q- titane #MSUB -T 1800           # Limite de temps elapsed du job
@@ -31,5 +31,5 @@
 #-Q- lxiv8 #PBS -m a
 #-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q test  
+#-Q- lxiv8 #PBS -q test
 #-Q- lxiv8 #PBS -o SaveSource.$$
 #-Q- lxiv8 #PBS -S /bin/ksh
@@ -93,5 +93,5 @@
 ERR_script_diff_model=$( cat out_script_diff_model | grep "script_diff_model return [0-9]*" | sed -e "s&script_diff_model return *\([0-9]*\)&\1&" )
 
-if [ ! X${ERR_script_diff_model} = X0 ] ; then 
+if [ ! X${ERR_script_diff_model} = X0 ] ; then
     echo 'Error in script_diff_model :' ${ERR_script_diff_model}
     exit ${ERR_script_diff_model}
@@ -100,5 +100,5 @@
 MODIPSL_SAVE_NAME=$( cat out_script_diff_model | grep "SAVE directory in" | sed -e "s&SAVE directory in  &&" )
 MODIPSL_SAVE=${MODIPSL}/tmp/${MODIPSL_SAVE_NAME}
-if ( [ X${MODIPSL_SAVE_NAME} = X ] || [ ! -d ${MODIPSL_SAVE} ] ) ; then 
+if ( [ X${MODIPSL_SAVE_NAME} = X ] || [ ! -d ${MODIPSL_SAVE} ] ) ; then
     echo 'Error in SaveSourceModifications: no MODIPSL_SAVE_NAME avaible. We STOP'
     exit 1
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 905)
+++ /trunk/libIGCM/AA_additionnal	(revision 906)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r ATL_ADD        # Nom du job               
+#-Q- curie #MSUB -r ATL_ADD        # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -20,5 +20,5 @@
 #-Q- ada # Nom du travail LoadLeveler
 #-Q- ada # @ job_name   = ATL_ADD
-#-Q- ada # Fichier de sortie standard du travail   
+#-Q- ada # Fichier de sortie standard du travail
 #-Q- ada # @ output     = $(job_name).$(jobid)
 #-Q- ada # Fichier de sortie d'erreur du travail
@@ -73,5 +73,5 @@
 
 #D- Task type (computing or post-processing)
-TaskType=post-processing 
+TaskType=post-processing
 
 #########################################################################
@@ -106,5 +106,5 @@
 
 # --------------------------------------------
-# Insert your commands between III...III lines 
+# Insert your commands between III...III lines
 # and precise produced directories to save
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
@@ -120,7 +120,7 @@
 
 # Put ferret journal files together
-for file in $( ls ${R_ATLAS}/ADD/*/*jnl ) ; do  
-    echo -e "\n\n################################" ; 
-    echo -e "$file\n" ; cat $file ; 
+for file in $( ls ${R_ATLAS}/ADD/*/*jnl ) ; do
+    echo -e "\n\n################################" ;
+    echo -e "$file\n" ; cat $file ;
 done  > ${R_ATLAS}/ADD/allferretscript.txt
 
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 905)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 906)
@@ -132,5 +132,5 @@
 
 # --------------------------------------------
-# Insert your commands between III...III lines 
+# Insert your commands between III...III lines
 # and precise produced directories to save
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
@@ -148,7 +148,7 @@
 
 # Put ferret journal files together
-for file in $( ls ${R_ATLAS}/ATM/*/*jnl ) ; do  
-    echo -e "\n\n################################" ; 
-    echo -e "$file\n" ; cat $file ; 
+for file in $( ls ${R_ATLAS}/ATM/*/*jnl ) ; do
+    echo -e "\n\n################################" ;
+    echo -e "$file\n" ; cat $file ;
 done  > ${R_ATLAS}/ATM/allferretscript.txt
 
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 905)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 906)
@@ -66,5 +66,5 @@
 
 #set -eu
-#set -vx 
+#set -vx
 
 date
@@ -90,5 +90,5 @@
 ########################################################################
 
-#set -vx 
+#set -vx
 
 IGCM_sys_MkdirWork ${RUN_DIR_PATH}
@@ -156,26 +156,26 @@
 # Put ferret journal files together
 for file in $( ls ${R_ATLAS}/OCE_T/*/*jnl ) ; do
-  echo -e "\n\n################################" ; 
-  echo -e "$file\n" ; cat $file ; 
+  echo -e "\n\n################################" ;
+  echo -e "$file\n" ; cat $file ;
 done  > ${R_ATLAS}/OCE_T/allferretscript.txt
 
-for file in $( ls ${R_ATLAS}/OCE_U/*/*jnl ) ; do  
-  echo -e "\n\n################################" ; 
-  echo -e "$file\n" ; cat $file ; 
+for file in $( ls ${R_ATLAS}/OCE_U/*/*jnl ) ; do
+  echo -e "\n\n################################" ;
+  echo -e "$file\n" ; cat $file ;
 done  > ${R_ATLAS}/OCE_U/allferretscript.txt
 
-for file in $( ls ${R_ATLAS}/OCE_V/*/*jnl ) ; do  
-  echo -e "\n\n################################" ; 
-  echo -e "$file\n" ; cat $file ; 
+for file in $( ls ${R_ATLAS}/OCE_V/*/*jnl ) ; do
+  echo -e "\n\n################################" ;
+  echo -e "$file\n" ; cat $file ;
 done  > ${R_ATLAS}/OCE_V/allferretscript.txt
 
-for file in $( ls ${R_ATLAS}/OCE/*/*jnl ) ; do  
-  echo -e "\n\n################################" ; 
-  echo -e "$file\n" ; cat $file ; 
+for file in $( ls ${R_ATLAS}/OCE/*/*jnl ) ; do
+  echo -e "\n\n################################" ;
+  echo -e "$file\n" ; cat $file ;
 done  > ${R_ATLAS}/OCE/allferretscript.txt
 
-for file in $( ls ${R_ATLAS}/ICE/*/*jnl ) ; do  
-  echo -e "\n\n################################" ; 
-  echo -e "$file\n" ; cat $file ; 
+for file in $( ls ${R_ATLAS}/ICE/*/*jnl ) ; do
+  echo -e "\n\n################################" ;
+  echo -e "$file\n" ; cat $file ;
 done  > ${R_ATLAS}/ICE/allferretscript.txt
 
@@ -197,9 +197,9 @@
 
 IGCM_sys_Rm -Rf ATLAS
-IGCM_sys_Rm ${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_[TUVW].nc 
+IGCM_sys_Rm ${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_[TUVW].nc
 IGCM_sys_Rm ${config_UserChoices_JobName}_SE_${YEARS}_1M_icemod.nc
 # WHILE WAITING FOR A MORE GENERIC SOLUTION
 if ( [ ${config_UserChoices_TagName} = "IPSLCM5" ] || [ ${config_UserChoices_TagName} = "IPSLCM5A" ] || [ ${config_UserChoices_TagName} = "IPSLCM5A-MR" ] || [ ${config_UserChoices_TagName} = "ORCA2_LIM2" ] || [ ${config_UserChoices_TagName} = "ORCA2_LIM2_PISCES" ] ) ; then
-  IGCM_sys_Rm ${config_UserChoices_JobName}_SE_${YEARS}_1M_diaptr.nc ; 
+  IGCM_sys_Rm ${config_UserChoices_JobName}_SE_${YEARS}_1M_diaptr.nc ;
 fi
 
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 905)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 906)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r ATL_ORCH       # Nom du job               
+#-Q- curie #MSUB -r ATL_ORCH       # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -20,5 +20,5 @@
 #-Q- ada # Nom du travail LoadLeveler
 #-Q- ada # @ job_name   = ATL_ORCH
-#-Q- ada # Fichier de sortie standard du travail       
+#-Q- ada # Fichier de sortie standard du travail
 #-Q- ada # @ output     = $(job_name).$(jobid)
 #-Q- ada # Fichier de sortie d'erreur du travail
@@ -43,5 +43,5 @@
 #-Q- titane ## TITANE   CEA ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r ATL_ORCH       # Nom du job                
+#-Q- titane #MSUB -r ATL_ORCH       # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1              # Reservation du processus
@@ -99,5 +99,5 @@
 ########################################################################
 
-#set -vx 
+#set -vx
 
 IGCM_sys_MkdirWork ${RUN_DIR_PATH}
@@ -142,5 +142,5 @@
 
 # --------------------------------------------
-# Insert your commands between III...III lines 
+# Insert your commands between III...III lines
 # and precise produced directories to save
 # IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
@@ -155,7 +155,7 @@
 
 # Put ferret journal files together
-for file in $( ls ${R_ATLAS}/SRF/*/*jnl ) ; do  
-    echo -e "\n\n################################" ; 
-    echo -e "$file\n" ; cat $file ; 
+for file in $( ls ${R_ATLAS}/SRF/*/*jnl ) ; do
+    echo -e "\n\n################################" ;
+    echo -e "$file\n" ; cat $file ;
 done  > ${R_ATLAS}/SRF/allferretscript.txt
 
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 905)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 906)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r ATL_PIS        # Nom du job               
+#-Q- curie #MSUB -r ATL_PIS        # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -20,5 +20,5 @@
 #-Q- ada # Nom du travail LoadLeveler
 #-Q- ada # @ job_name   = ATL_PIS
-#-Q- ada # Fichier de sortie standard du travail       
+#-Q- ada # Fichier de sortie standard du travail
 #-Q- ada # @ output     = $(job_name).$(jobid)
 #-Q- ada # Fichier de sortie d'erreur du travail
@@ -66,5 +66,5 @@
 
 #set -eu
-#set -vx 
+#set -vx
 
 date
@@ -90,5 +90,5 @@
 ########################################################################
 
-#set -vx 
+#set -vx
 
 IGCM_sys_MkdirWork ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_clean_month
===================================================================
--- /trunk/libIGCM/AA_clean_month	(revision 905)
+++ /trunk/libIGCM/AA_clean_month	(revision 906)
@@ -73,5 +73,5 @@
 
 #==================================
-# Is the pack active 
+# Is the pack active
 if ( [ ! X${config_Post_PackFrequency} = X${NULL_STR} ] && [ ! X${config_Post_PackFrequency} = XNONE ] ) ; then
   Pack=true
@@ -81,5 +81,5 @@
 [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
 
-if [ ! -f ${SUBMIT_DIR}/run.card ]; then 
+if [ ! -f ${SUBMIT_DIR}/run.card ]; then
   echo "You seem NOT to have a run.card in this directory !!"
   echo "This script will fail because it doesn't know what to do without run.card available."
@@ -121,5 +121,5 @@
 
   IGCM_debug_Print 1 "Number of files to be erased : ${CountListFiles}."
-  if ( [ ${CountListFiles} -gt 0 ] || [ ${CountListFilesBuf} -gt 0 ] ) ; then 
+  if ( [ ${CountListFiles} -gt 0 ] || [ ${CountListFilesBuf} -gt 0 ] ) ; then
     for file in ${ListFiles[@]} ; do
       IGCM_debug_Print 2 -e "\033[1;31m ${file}\033[m"
@@ -149,5 +149,5 @@
   fi
 
-  if [ ${CountRebuildDir} -gt 0 ] ; then 
+  if [ ${CountRebuildDir} -gt 0 ] ; then
     IGCM_debug_Print 1 "Number of REBUILD Dirs to be erased : ${CountRebuildDir}."
     for Dir in ${RebuildDir[@]} ; do
Index: /trunk/libIGCM/AA_clean_year
===================================================================
--- /trunk/libIGCM/AA_clean_year	(revision 905)
+++ /trunk/libIGCM/AA_clean_year	(revision 906)
@@ -73,5 +73,5 @@
 
 #==================================
-# Is the pack active 
+# Is the pack active
 if ( [ ! X${config_Post_PackFrequency} = X${NULL_STR} ] && \
      [ ! X${config_Post_PackFrequency} = XNONE ] ) ; then
@@ -82,5 +82,5 @@
 [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
 
-if [ ! -f ${SUBMIT_DIR}/run.card ]; then 
+if [ ! -f ${SUBMIT_DIR}/run.card ]; then
     echo "You seem NOT to have a run.card in this directory !!"
     echo "This script will fail because it doesn't know what to do without run.card available."
@@ -107,5 +107,5 @@
 
 if [ $# == 1 ] ; then
-  if [ ${#1} != 4 ] ; then 
+  if [ ${#1} != 4 ] ; then
     echo "You must give a year (SSAA) as argument."
     exit 1
@@ -157,5 +157,5 @@
 
 
-  if ( [ ${CountListFiles} -gt 0 ] || [ ${CountListFilesBuf} -gt 0 ] ) ; then 
+  if ( [ ${CountListFiles} -gt 0 ] || [ ${CountListFilesBuf} -gt 0 ] ) ; then
     IGCM_debug_Print 1 "Number of files to be erased from ${R_SAVE} : ${CountListFiles}."
     for file in ${ListFiles[@]} ; do
@@ -188,5 +188,5 @@
   fi
 
-  if [ ${CountRebuildDir} -gt 0 ] ; then 
+  if [ ${CountRebuildDir} -gt 0 ] ; then
     IGCM_debug_Print 1 "Number of REBUILD Dirs to be erased : ${CountRebuildDir}."
     for Dir in ${RebuildDir[@]} ; do
@@ -265,5 +265,5 @@
       else
         #Â Update run.card
-        cp ${SUBMIT_DIR}/run.card ${SUBMIT_DIR}/run.card.old 
+        cp ${SUBMIT_DIR}/run.card ${SUBMIT_DIR}/run.card.old
         IGCM_card_WriteOption ${SUBMIT_DIR}/run.card Configuration PeriodState "OnQueue"
         IGCM_card_WriteOption ${SUBMIT_DIR}/run.card Configuration CumulPeriod ${NewCumulPeriod}
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 905)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 906)
@@ -309,6 +309,4 @@
     (( an = an_multi_deb ))
     # Initialize array
-    #set -A liste_file_se
-    #set -A liste_file_se_tmp
     unset liste_file_se
     unset liste_file_se_tmp
@@ -319,6 +317,5 @@
       (( an_fin = an_deb + freq - 1 ))
       date=${an_deb}_${an_fin}
-      #set +A liste_file_se ${liste_file_se[*]} ${file_path}${config_UserChoices_JobName}_${date}_${file}.nc
-      #set +A liste_file_se_tmp ${liste_file_se_tmp[*]} ${config_UserChoices_JobName}_${date}_${file}.nc
+      #
       liste_file_se[${#liste_file_se[*]}]=${file_path}${config_UserChoices_JobName}_SE_${date}_${file}.nc
       liste_file_se_tmp[${#liste_file_se_tmp[*]}]=${config_UserChoices_JobName}_SE_${date}_${file}.nc
@@ -363,5 +360,5 @@
     IGCM_sys_Rm ${OUT_SE[*]}
 
-    # Put correct climatological axis following calendar 
+    # Put correct climatological axis following calendar
     case ${config_UserChoices_CalendarType} in
       360d|360_day)
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 905)
+++ /trunk/libIGCM/AA_create_ts	(revision 906)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r TS             # Nom du job               
+#-Q- curie #MSUB -r TS             # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -43,5 +43,5 @@
 #-Q- titane ## TITANE   CEA ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r TS             # Nom du job                
+#-Q- titane #MSUB -r TS             # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1              # Reservation du processus
@@ -107,5 +107,5 @@
 
 #D- Flag to determine if rebuild process has been performed asynchronously
-#D- Possible value true or false. 
+#D- Possible value true or false.
 #D- If true raw files has allready been patched by rebuild job
 #D- If false create_ts will patch the raw files
@@ -167,5 +167,5 @@
 
 # Useful cleaning function
-MENAGE () 
+MENAGE ()
 {
   [ -f $3 ] && ( IGCM_sys_RshArchive rm -f $1/$2 ;)
@@ -478,5 +478,4 @@
     IGCM_sys_Cd ${RUN_DIR_PATH}/${comp}
     #
-    #set -A liste_file
     unset liste_file
     #
@@ -502,5 +501,4 @@
       for var in $( eval echo \${LISTE_VARS_${file}[*]} ) ; do
         #
-        #set +A liste_file ${liste_file[*]} ${file_path}/${TS_Dir}/${config_UserChoices_JobName}_${date}_${FlagDir}_${var}.nc
         liste_file[${#liste_file[*]}]=${file_path}/${TS_Dir}/${config_UserChoices_JobName}_${date}_${FlagDir}_${var}.nc
         #
@@ -548,7 +546,7 @@
 
 if [ ${NBRE_FILE_TOT} -le ${UNIX_MAX_LIMIT} ] ; then
-  NBRE_TOUR=1 
+  NBRE_TOUR=1
 elif [ ${NBRE_FILE_TOT}%${UNIX_MAX_LIMIT} -eq 0 ] ; then
-  let NBRE_TOUR=${NBRE_FILE_TOT}/${UNIX_MAX_LIMIT} 
+  let NBRE_TOUR=${NBRE_FILE_TOT}/${UNIX_MAX_LIMIT}
 else
   let NBRE_TOUR=${NBRE_FILE_TOT}/${UNIX_MAX_LIMIT}+1
@@ -557,5 +555,5 @@
 CURRENT_LOOP=1
 # THIS LOOP GIVES PARAMETERS FOR THE DATE'S LOOP ie : DATE_COURANTE, DATE_FIN.
-# WE HAVE 3 LEVELS 
+# WE HAVE 3 LEVELS
 #    - LEVEL 1 : JUST ONE LOOP TO COMPLETE
 #    - LEVEL 2 : WE ARE IN THE "DEEP" LOOP
@@ -564,5 +562,5 @@
 while [ ${CURRENT_LOOP} -le  ${NBRE_TOUR} ] ; do
 
-  if [ ${NBRE_FILE_TOT} -le ${UNIX_MAX_LIMIT} ] ; then 
+  if [ ${NBRE_FILE_TOT} -le ${UNIX_MAX_LIMIT} ] ; then
     # - LEVEL 1 : JUST ONE LOOP TO COMPLETE
     NBRE_FILE_LOOP=${NBRE_FILE_TOT}
@@ -582,5 +580,5 @@
 
     LEVEL=1
-    DEPOT="TRUE"       
+    DEPOT="TRUE"
   elif [ ${CURRENT_LOOP} -ne  ${NBRE_TOUR} ] ; then
     # - LEVEL 2 : WE ARE IN THE "DEEP" LOOP
@@ -659,6 +657,4 @@
 
       # Initialize array
-      #set -A liste_file
-      #set -A liste_file_tmp
       unset liste_file
       unset liste_file_tmp
@@ -676,7 +672,4 @@
         Length2=$( IGCM_date_DaysInNextPeriod ${DATE_LOOP} ${config_UserChoices_PeriodLength} )
         DATE_LOOP=$( IGCM_date_AddDaysToGregorianDate ${DATE_LOOP} ${Length2} )
-
-        #set +A liste_file ${liste_file[*]} ${file_path}${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
-        #set +A liste_file_tmp ${liste_file_tmp[*]} ${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
 
         IGCM_sys_TestFileArchive ${file_path}${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
@@ -712,5 +705,5 @@
       if [ ! X${RebuildFrequency} = Xtrue ] ; then
         if [ X$( eval echo \${LISTE_PATCHES_${file}[0]} ) !=  X${NULL_STR} ]; then
-          for file_t in $( eval echo ${liste_file_tmp[*]} ); do         
+          for file_t in $( eval echo ${liste_file_tmp[*]} ); do
             for Patch in $( eval echo \${LISTE_PATCHES_${file}[*]} ); do
               IGCM_${Patch} ${file_t}
Index: /trunk/libIGCM/AA_move-and-rename
===================================================================
--- /trunk/libIGCM/AA_move-and-rename	(revision 905)
+++ /trunk/libIGCM/AA_move-and-rename	(revision 906)
@@ -17,8 +17,8 @@
 # Change SpaceName/ExperimentName/JobName names and path for a simulation during the run.
 # !! Be careful that the job is suspended before using this script !!
-# You may call this script with those four variables already defined, or modify directly 
+# You may call this script with those four variables already defined, or modify directly
 # default values under here :
 
-# New Name Space of this experience 
+# New Name Space of this experience
 NEW_SpaceName=${NEW_SpaceName:=DEVT}
 
@@ -112,5 +112,5 @@
   fi
   IGCM_debug_Print 3 "MOVE_and_RENAME_files all : ${VAR1}"
-  IGCM_debug_Print 3 "    to     ${FILE_OUT}." 
+  IGCM_debug_Print 3 "    to     ${FILE_OUT}."
 
   (( ifile = 0 ))
@@ -119,5 +119,5 @@
     RET=$?
     (( ifile = ifile + 1 ))
-  done    
+  done
 
   IGCM_debug_PopStack "MOVE_and_RENAME_files"
@@ -169,5 +169,5 @@
 fi
 
-# We temporary change ${run_Configuration_PeriodState} to 
+# We temporary change ${run_Configuration_PeriodState} to
 if [ -f ${SUBMIT_DIR}/run.card ] ; then
   IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodState
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 905)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 906)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r REBUILDARCH    # Nom du job               
+#-Q- curie #MSUB -r REBUILDARCH    # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -105,5 +105,5 @@
 RebuildFromArchive=${RebuildFromArchive:=true}
 
-#D- Directory where files we need to rebuild are store 
+#D- Directory where files we need to rebuild are store
 #D- Default : value from AA_job if any
 #D- if RebuildFromArchive=true REBUILD_DIR=${DMFDIR}/IGCM_OUT/.../JobName/TMP
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 905)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 906)
@@ -105,5 +105,5 @@
 RebuildFromArchive=${RebuildFromArchive:=false}
 
-#D- Directory where files we need to rebuild are store 
+#D- Directory where files we need to rebuild are store
 #D- Default : value from AA_job if any
 #D- if RebuildFromArchive=true REBUILD_DIR=${DMFDIR}/IGCM_OUT/.../JobName/TMP